Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031026
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-10-02 12:262015-11-23 21:16
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8d000060c64f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031026: wrong warehouse in the lines of the inventory amount update

Descriptionwrong warehouse in the lines of the inventory amount update.
Steps To ReproduceAs group admin role,
   Go to Inventory Amount Update
     Create a new for España.
  Lines tab:
     select the product Zumo de Naranja
Save it.
   In grid mode realise that the Warehouse field is filled and appears España Región norte and the on hand qty is: 523300 which is the sum between Norte and Sur warehouses.

Warehouse field is something that is displayed only when the Costing rule is defined as Warehouse dimension so in other case this field should be blank.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00310363.0PR16Q1 closedaferraz Wrong on hand quantity calculation in Inventory Amount Update 
related to defect 0031041 closedaferraz The inventory amount update is not working fine under some circunstancies 
related to defect 00310693.0PR16Q1 closedaferraz Wrong cost calculation using inventory amount update caused by remaining valuation 

-  Notes
(0080842)
psanjuan (manager)
2015-10-06 12:48
edited on: 2015-10-09 15:00

Before installing the patch:

In F&B International Group, go to Costing Rule window.

Verify that the valid costing rule for F&B España does not have Warehouse Dimension selected.

Go to Product Window and search for "Zumo de Naranja Bio 0.33L" Product.

Go to Transaction tab and sum up Movement Quantity column, therefore you get below results:
Storage Bin RN-X-X-X = 454.200 (linked to Wh España Region Norte)
Storage Bin RS-X-X-X = 69.100 (Linkde to Wh España Region Sur)
Total quantity on hand = 523.300

Launch Stock Report and verify that data above are correct.

Go to Inventory Amount Update window and create a new one for F&B España, dated on current date, that is 09-10-2015, go to lines tab and in "form" view create a new record, select Zumo de Naranja product.

Realize that Warehouse field is not shown and the field On hand Qty shows 523.300 which is correct. Save

Change to Grid view and realize that Warehouse field is shown, showing España Region Norte which is not correct.

Delete the line and the inventory amount update.

Apply the patch.

Go to Inventory Amount Update window and create a new one for F&B España, go to lines tab and in "form" view create a new record, select Zumo de Naranja product.

Realize that Warehouse field is not shown now and the field On hand Qty shows 523.300 which is correct. Save

Change to Grid view and realize that Warehouse field is shown but empty which is correct.

Delete the line and the inventory amount update.

Go to Costing rule window, and create a new one for F&B España org by setting Warehouse as a costing dimension. Validate Costing Rule. Starting date of this new costing rule, is current date, that is 09-10-2015 HH:MM:SS

After that go to Inventory Amount Update window, create a new one dated on 09-10-2015

Go to lines tab and create a new record in form view.

Realize that warehouse field is now shown, therefore a warehouse can be selected.

Select product "Zumo de Naranja Bio 0.33L" and WH España Region Norte. An on hand quatity = 454.200 is shown, which is correct.

Change the warehouse to España Region Sur, an on hand quantity = 69.100 is shown, which is correct.

(0080888)
hgbot (developer)
2015-10-08 14:16

Repository: erp/devel/pi
Changeset: 8d000060c64f62322838aaaa3f7278dd6072bb82
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Oct 08 14:15:32 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8d000060c64f62322838aaaa3f7278dd6072bb82 [^]

Fixes issue 31026: Wrong warehouse in Inventory Amount Update Lines

When current costing rule does not have Warehouse Dimension flag activated, warehouse field should be empty in Inventory Amount Update Lines.
In this case, SL_InvAmtUpd_ProductRefDate callout will return a null warehouseId.
Document date and Reference date references in Inventory Amount update have been changed from Date to DateTime, to get the correct value when checking the current costing rule.
Reference date will also have Document date value as default value instead of current date.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_InvAmtUpd_ProductRefDate.java
---
(0080919)
hgbot (developer)
2015-10-09 13:59

Repository: erp/devel/pi
Changeset: b75349aa9d0f6167e75fe10b376e84fdada77f28
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Oct 09 13:57:19 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b75349aa9d0f6167e75fe10b376e84fdada77f28 [^]

Related to issue 31026: Change from DateTime to Absolute DateTime

Document date and Reference date references in Inventory Amount update have been changed from DateTime to Absolute DateTime, to avoid UTC conversion.
Also dateTimeFormat.java should be used instead of dateFormat.java for date formating.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_InvAmtUpd_ProductRefDate.java
---
(0080923)
psanjuan (manager)
2015-10-09 15:00

Test plan above verified, issue can be closed.
(0080924)
dmiguelez (developer)
2015-10-09 15:03

Code Review + Testing Ok
(0082119)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082123)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-02 12:26 VictorVillar New Issue
2015-10-02 12:26 VictorVillar Assigned To => Triage Finance
2015-10-02 12:26 VictorVillar Modules => Core
2015-10-02 12:26 VictorVillar Triggers an Emergency Pack => No
2015-10-02 12:27 VictorVillar Issue Monitored: networkb
2015-10-05 11:42 aferraz Assigned To Triage Finance => aferraz
2015-10-05 12:44 VictorVillar Relationship added related to 0031036
2015-10-05 12:44 VictorVillar Relationship added related to 0031041
2015-10-05 13:45 aferraz Status new => scheduled
2015-10-06 12:48 psanjuan Note Added: 0080842
2015-10-06 13:55 psanjuan Note Edited: 0080842 View Revisions
2015-10-06 13:57 psanjuan Note Edited: 0080842 View Revisions
2015-10-06 16:11 VictorVillar Relationship added related to 0031069
2015-10-08 14:16 hgbot Checkin
2015-10-08 14:16 hgbot Note Added: 0080888
2015-10-08 14:16 hgbot Status scheduled => resolved
2015-10-08 14:16 hgbot Resolution open => fixed
2015-10-08 14:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8d000060c64f62322838aaaa3f7278dd6072bb82 [^]
2015-10-08 15:42 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 09:39 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 09:41 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 10:17 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 13:59 hgbot Checkin
2015-10-09 13:59 hgbot Note Added: 0080919
2015-10-09 14:59 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 15:00 psanjuan Note Edited: 0080842 View Revisions
2015-10-09 15:00 psanjuan Note Added: 0080923
2015-10-09 15:03 dmiguelez Review Assigned To => dmiguelez
2015-10-09 15:03 dmiguelez Note Added: 0080924
2015-10-09 15:03 dmiguelez Status resolved => closed
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082119
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082123


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker